﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.Graphics;

namespace C4F_Ocean
{
    /// <summary>
    /// A class to draw an ocean
    /// </summary>
    class Ocean
    {
        // The two-triangle generated model for the ocean
        private VertexPositionNormalTexture[] OceanVerts;
        private VertexDeclaration OceanVD;

        /// <summary>
        /// Creates an Ocean object
        /// </summary>
        public Ocean()
        {

        }

        /// <summary>
        /// Loads the content necessary for the ocean
        /// </summary>
        /// <param name="Content"></param>
        public void Load(ContentManager Content)
        {
            // generate the geometry
            OceanVerts = new VertexPositionNormalTexture[6];
            OceanVerts[0] = new VertexPositionNormalTexture(new Vector3(-1000, 0, -1000), Vector3.Up, new Vector2(0, 0));
            OceanVerts[1] = new VertexPositionNormalTexture(new Vector3( 1000, 0, -1000), Vector3.Up, new Vector2(1, 0));
            OceanVerts[2] = new VertexPositionNormalTexture(new Vector3(-1000, 0,  1000), Vector3.Up, new Vector2(0, 1));
            OceanVerts[3] = OceanVerts[2];
            OceanVerts[4] = OceanVerts[1];
            OceanVerts[5] = new VertexPositionNormalTexture(new Vector3( 1000, 0,  1000), Vector3.Up, new Vector2(1, 1));
            OceanVD = new VertexDeclaration(Global.Graphics, VertexPositionNormalTexture.VertexElements);
        }

        public void Draw(GameTime gameTime, Camera cam, TextureCube skyTexture, Matrix proj)
        {
        }
    }
}
